Notify users about ccnorm_contains_any and update abuse filter documentation
Closed, ResolvedPublic0.5 Story Points

Description

  1. Update AbuseFilter documentation to include ccnorm_contains_any
  2. Notify users about it on Edit Filter Noticeboard so they become aware of it

Documentation to update

dmaza created this task.Oct 8 2017, 2:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2017, 2:41 AM

Notifying Tech News writers would be good too. Adding Notice for that reason

He7d3r added a subscriber: He7d3r.Oct 8 2017, 8:50 PM
matej_suchanek edited projects, added User-notice; removed Notice.Oct 9 2017, 7:24 AM
He7d3r added a comment.Oct 9 2017, 4:58 PM

Could you also add examples which applicable to T65242#3669911 (T29987#324746), if possible?

TBolliger updated the task description. (Show Details)Oct 10 2017, 5:38 PM
Johan added a subscriber: Johan.Oct 12 2017, 5:56 PM

Since user-notice has been added, could you briefly (a couple of sentences) write how you would describe this for a non-technical editor?

dmaza claimed this task.
dmaza added a comment.Oct 14 2017, 2:23 AM

Since user-notice has been added, could you briefly (a couple of sentences) write how you would describe this for a non-technical editor?

When writing filters ccnorm_contains_any can be used when we need to find multiple strings within another string and we want to use their canonical representation for comparison.
It normalises confusable/similar characters in the arguments, and returns true if the first string contains any string from the following arguments (unlimited number of arguments can be used)

Example:

CodeResult
ccnorm_contains_any( "w1k1p3d14", "wiKiP3D1A", "foo", "bar" )true
ccnorm_contains_any( "w1k1p3d14", "foo", "bar", "baz" )false
ccnorm_contains_any( "w1k1p3d14 is 4w3s0me", "bar", "baz", "some" )true

@Johan is that good?

TBolliger closed this task as Resolved.Oct 16 2017, 6:43 PM

Great addition, many thanks.

Restricted Application reassigned this task from dmaza to R3609901. · View Herald TranscriptNov 17 2017, 3:45 AM
MusikAnimal reassigned this task from R3609901 to dmaza.Nov 17 2017, 5:03 AM
MusikAnimal added a subscriber: R3609901.
MusikAnimal removed a subscriber: R3609901.